List the connected devices of a user in a location
get
Authorizations
defguard_sessionstringRequired
Path parameters
location_idinteger · int64Required
ID of the location.
user_idinteger · int64Required
ID of the user.
Query parameters
fromstringOptional
Start of the reported period as an RFC 3339 timestamp. Defaults to 1 hour ago.
Responses
200
All connected devices of the user.
application/json
object[]Optional
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Network or user not found.
application/json
500
Unable to get connected user devices.
application/json
get/api/v1/network/{location_id}/stats/connected_users/{user_id}/devices
GET /api/v1/network/{location_id}/stats/connected_users/{user_id}/devices HTTP/1.1
Accept: */*
[
{
"connected_at": "2026-08-04T10:00:00",
"device_id": 5,
"device_name": "laptop",
"public_ip": "203.0.113.10",
"stats": [
{
"collected_at": "2026-08-04T10:00:00",
"download": 4096,
"upload": 1024
}
],
"total_download": 4194304,
"total_upload": 1048576,
"vpn_ips": [
"10.0.0.15"
]
}
]Last updated
Was this helpful?